import '../migratorydata_listener.dart';
import '../migratorydata_message.dart';

class ListenerNotifier {
  final MigratoryDataListener listener;

  ListenerNotifier(this.listener);

  void offerStatus(String status, String info) {
    listener.onStatus(status, info);
  }

  void offerMessage(MigratoryDataMessage message) {
    listener.onMessage(message);
  }
}
