import '../migratorydata_log_listener.dart';

abstract class Logger {
	bool isTraceEnabled();

  bool isDebugEnabled();

  bool isInfoEnabled();

  bool isWarnEnabled();

  bool isErrorEnabled();

  void trace(String msg);

  void debug(String msg);

  void info(String msg);

  void warn(String msg);

  void error(String msg);

  void setMigratoryDataLogListener(MigratoryDataLogListener logListener, MigratoryDataLogLevel logLevel);
}
