import 'dart:core';

import 'push_protocol.dart';

class Message {
  final Operation operation;
  final Map<Header, Object> headers;

  Message(this.operation, this.headers);

  Operation getOperation() {
    return operation;
  }

  Map<Header, Object> getHeaders() {
    return headers;
  }

  @override
  String toString() {
    return "[operation=$operation, headers=$headers]";
  }
}
