import '../utils/monotonic_id.dart';

class TimestampMonotonicIdImpl implements MonotonicId {
  int id = 0;

  @override
  int get() {
    int currentTimeSeconds = currentTimeInSeconds();
    if (id == 0) {
      id = currentTimeSeconds;
    } else {
      if (currentTimeSeconds <= id) {
        id++;
      } else {
        id = currentTimeSeconds;
      }
    }

    return id;
  }

  int currentTimeInSeconds() {
    var ms = DateTime.now().millisecondsSinceEpoch;
    return (ms / 1000).round();
  }
}
